Page 1 of 1

Java 11

PostPosted: February 11th, 2020, 3:30 pm
by Sineath
I'm running Java 11 on both of my SuSE Linux computers. Vassal doesn't work. Will start but won't load any module. Are my days of using Vassal over?

Re: Java 11

PostPosted: February 12th, 2020, 10:30 pm
by Cattlesquat
Current version of Vassal doesn't support anything after Java 8. We've been told the upcoming version 3.3 WILL support it, however. It's just not out yet.

Re: Java 11

PostPosted: March 20th, 2020, 9:48 pm
by AlisterMcLane
Well I was puzzled by similar effects when I installed it a few days ago.

The issue is litterally with a Regular Expression in the EXE Wrapper that checks for the Java Version being installed.

Java Versions patterns changed:
- old pattern : "1.[version].[patch level]"
- new pattern : "[version].[patch level]"

Workaround:
Install Java 8 as your PRIMARY JDK.
It does not prevent you from having Other JDKs / JREs on your machine installed.

Got:
- Win 10
- Oracle JDK 1.8 (latest, installer)
- Oracle released Open JDK 14 (64bit, zip file)
- Open JDK 14 (32bit, zip file)

Yes and I was able to compile it using maven (wrote a script) and run it on Java 14 (from Eclipse IDE).

Re: Java 11

PostPosted: March 20th, 2020, 11:33 pm
by uckelman
Thus spake AlisterMcLane via messages:
>
> Yes and I was able to compile it using maven (wrote a script) and run it
> on Java 14 (from Eclipse IDE).

I guarantee you that you will run into problems using Java 14. I know this
because I've been working on fixing them all since autumn.

--
J.

Re: Java 11

PostPosted: March 20th, 2020, 11:44 pm
by AlisterMcLane
I expected nothing else ;)

I just wanted to see how far I can get and at least some initial stuff seems to work with the head of the trunk ...